grab_font_from_bitmap(3)

NAME
grab_font_from_bitmap - Grabs a font from a bitmap Allegro game programming library.

SYNOPSIS
#include <allegro.h>

FONT *grab_font_from_bitmap(BITMAP *bmp)

DESCRIPTION
This function is the work-horse of load_bitmap_font, and can be used to grab a font from a bitmap in memory. You can use this if you want to generate or modify a font at runtime. The bitmap should follow the layout described for load_bitmap_font.

RETURN VALUE
Returns a pointer to the font or NULL on error. Remember that you are responsible for destroying the font when you are finished with it to avoid memory leaks.

SEE ALSO
load_bitmap_font(3)